import cfg from "../cfg/config";
import express from "express";
import exphbs from "express-handlebars";
import router from "./routes";

const hbs = exphbs.create({
  defaultLayout: "main",
  helpers: {
    times: (n, block) => {
      let rows = [];
      for(var i = 0; i < n; ++i)
        rows.push(block.fn(i+1));
      return rows.join("<br />");
    }
  }
});

const app = express();
app
  .engine("handlebars", hbs.engine)
  .set("view engine", "handlebars")
  .use(express.static("public", cfg.websrv.static_options))

  .use("/", router.index)
  .use("/v", router.view)
  .use("/a", router.about)

  .listen(cfg.websrv.port, () => {
    console.log(`fpaste listening on port ${cfg.websrv.port}`);
  });